Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
triggers
/
{trigger_id}
/
runs
List Trigger Runs
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/triggers/{trigger_id}/runs \
  --header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "error_message": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
trigger_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

runs
TriggerRunResponse · object[]
required
total
integer
required